package com.correx.core.transitions.conditions

import com.correx.core.transitions.evaluation.EvaluationContext
import com.correx.core.transitions.graph.TransitionCondition

data class VariableEquals(val key: String, val value: String) : TransitionCondition {
    override fun evaluate(context: EvaluationContext) =
        context.variables[key] == value
}
